Updates the type with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
company_type| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| name |
Name of the type |
string |
Required |
| description |
Description of the type |
string | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company_type |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating company_type |
sales_organization |
Request Formats :
application/json, text/json
Sample:
{
"id": "646f4360-5f73-45c3-9c77-a0b54377bf75",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "8d493ce0-cbb2-4b99-a234-0fd08d5d9f3a",
"sales_organization_code": "sample string 5"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.